import { GdRoot } from "./GameData/index.js";
import { EViewType, ViewManager } from "./View/index.js";

document.addEventListener("DOMContentLoaded", async () => {
    const gdRoot = new GdRoot();
    await gdRoot.loadAsync();

    const viewManager = new ViewManager();
    await viewManager.loadAsync(gdRoot);

    viewManager.showView(EViewType.Menu);
});
